compact1, compact2, compact3
java.lang.reflect

## Interface AnnotatedParameterizedType

- All Superinterfaces:
    AnnotatedElement, AnnotatedType

      public interface AnnotatedParameterizedType
      extends AnnotatedType

  `AnnotatedParameterizedType` represents the potentially annotated use of a parameterized type, whose type arguments may themselves represent annotated uses of types.
  Since:
    1.8

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnnotatedType[]` | `getAnnotatedActualTypeArguments()` Returns the potentially annotated actual type arguments of this parameterized type.

    - ### Methods inherited from interface java.lang.reflect.AnnotatedType

      `getType`

    - ### Methods inherited from interface java.lang.reflect.AnnotatedElement

      `getAnnotation, getAnnotations, getAnnotationsByType, getDeclaredAnnotation, getDeclaredAnnotations, getDeclaredAnnotationsByType, isAnnotationPresent`

- - ### Method Detail

    - #### getAnnotatedActualTypeArguments

          AnnotatedType[] getAnnotatedActualTypeArguments()

      Returns the potentially annotated actual type arguments of this parameterized type.
      Returns:
        the potentially annotated actual type arguments of this parameterized type

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.